enemys = {img = love.graphics.newQuad(11,0,7,8,18,8),spd = 56, sx = 0, sxspd = 8}
enemys.sp, enemys.spspd = 0, 1.3

function enemys_spawn()
	table.insert(enemys,{x = enemys.sx,y = -8,color = {2 * enemys.sx + 16,2 * enemys.sx + 48,2 * enemys.sx + 16}})
end

function enemys_update(dt)
	enemys.sx = enemys.sx + enemys.sxspd
	enemys.sp = enemys.sp + enemys.spspd * dt
	
	if enemys.sp >= 1.3 then
		enemys.spspd = -1.6
	elseif enemys.sp < 0 then
		enemys.spspd = 1.6
	end
	
	if enemys.sp > 1.3 then
		enemys_spawn()
	end
	
	if enemys.sx >= 350 then
		enemys.sxspd = -8
	elseif enemys.sx < 8 then
		enemys.sxspd = 8
	end
	
	for i,v in ipairs(enemys) do
		v.y = v.y + enemys.spd * dt
		
		if v.y > 320 then
			game.score = game.score - 1
			table.remove(enemys,i)
		end
	end
end

function enemys_draw()
	for i,v in ipairs(enemys) do
		love.graphics.setColor(v.color)
		love.graphics.draw(game.mobs,enemys.img,v.x,v.y,0,6,6)
	end
end