bullet = {}

function bullet_add()
	love.audio.stop(game.shoot)
	love.audio.play(game.shoot)
	table.insert(bullet,{isAlive = true, x = player.x + 16, y = player.y - 8})
end

function bullet_update(dt)
	for i,v in ipairs(bullet) do
		v.y = v.y - 150 * dt
		
		for e,b in ipairs(enemys) do
			if v.x > b.x and v.x < b.x + 46 and v.y > b.y and v.y < b.y + 24 then
				game.score = game.score + 1
				love.audio.play(game.explode1)
				table.remove(enemys,e)
				table.remove(bullet,i)
			end
		end
		
		if v.y <= -16 then
			table.remove(bullet,i)
		end
	end
end

function bullet_draw()
	for i,v in ipairs(bullet) do
		love.graphics.setColor(200,20,0)
		love.graphics.rectangle("fill",v.x,v.y,8,16)
	end
end