function player_load()
	player = {x=love.graphics.getWidth()/2.2,y=230,spd = 186,img=love.graphics.newQuad(0,0,5,8,18,8),color = {255,255,255}}
end

function player_update(dt)
	-- Collisions
	if player.x < 8 then
		player.x = 8
	elseif player.x > 350 then
		player.x = 350
	end
	
	for i,b in ipairs(enemys) do
		if player.x > b.x - 16 and player.x < b.x + 46 and player.y > b.y and player.y < b.y + 24 then
			love.audio.play(game.explode1)
			game.state = "gameover"
		end
	end

	player_move(dt)
end

function player_draw()
	love.graphics.setColor(player.color)
	love.graphics.draw(game.mobs,player.img,player.x,player.y,0,8,6)
end

function player_move(dt)
	-- Left/Right
	if love.keyboard.isDown("left") then
		player.x = player.x - player.spd * dt
	elseif love.keyboard.isDown("right") then
		player.x = player.x + player.spd * dt
	end
end

function player_shoot(key)
	if key == "z" then
		bullet_add()
	end
end